﻿//-----------------------------------------------------------------------------
// <copyright file="RibbonCollectionControl.ascx.cs" company="Ortems">
//	 Copyright (c) Sébastien Bouez. All rights reserved.
// </copyright>
// <author>François Le Rolland</author>
//-----------------------------------------------------------------------------
using System;
using System.Collections.ObjectModel;
using System.Web.UI;

/// <summary>
/// Ribbon control with an item collection
/// </summary>
public partial class RibbonCollectionControl : RibbonControl
{
	#region Fields

	#endregion Fields

	/// <summary>
	/// Initializes a new instance of the <see cref="RibbonCollectionControl"/> class.
	/// </summary>
	public RibbonCollectionControl()
	{
		this.Items = new Collection<Control>();
	}

	#region Properties

	/// <summary>
	/// Gets or sets the items.
	/// </summary>
	/// <value>The items.</value>
	public Collection<Control> Items { get; set; }

	/// <summary>
	/// Gets the content template.
	/// </summary>
	/// <value>The content template.</value>
	[PersistenceMode(PersistenceMode.InnerProperty)]
	public Collection<Control> ContentTemplate
	{
		get { return this.Items; }
	}

	#endregion Properties
}
