﻿//-----------------------------------------------------------------------------
// <copyright file="RibbonDDSmallItem.ascx.cs" company="Ortems">
//	 Copyright (c) Sébastien Bouez. All rights reserved.
// </copyright>
// <author>Sébastien Bouez</author>
//-----------------------------------------------------------------------------
using System;
using System.Collections.ObjectModel;
using System.Web.UI;

/// <summary>
/// Ribbon small item
/// </summary>
public partial class RibbonDDSmallItem : RibbonDDIconItem
{
	#region Ctor

	/// <summary>
	/// Initializes a new instance of the <see cref="RibbonDDSmallItem"/> class.
	/// </summary>
	public RibbonDDSmallItem()
	{
	}

	#endregion Ctor

	#region Properties

	/// <summary>
	/// Gets or sets the text.
	/// </summary>
	/// <value>The text on the item</value>
	public string Text { get; set; }

	#endregion Properties

	#region Methods

	/// <summary>
	/// Raises the <see cref="E:System.Web.UI.Control.Init"/> event.
	/// </summary>
	/// <param name="e">An <see cref="T:System.EventArgs"/> object that contains the event data.</param>
	protected override void OnPreRender(EventArgs e)
	{
		base.OnPreRender(e);

		this.lb_text.Text = this.Text;
	}

	#endregion Methods
}