﻿//-----------------------------------------------------------------------------
// <copyright file="RibbonFileMenu.ascx.cs" company="Ortems">
//	 Copyright (c) Sébastien Bouez. All rights reserved.
// </copyright>
// <author>Sébastien Bouez</author>
//-----------------------------------------------------------------------------
using System;
using System.Collections.ObjectModel;
using System.Web.UI;

/// <summary>
/// Ribbon file menu
/// </summary>
public partial class RibbonFileMenu : RibbonCollectionControl
{
	#region Methods

	/// <summary>
	/// Déclenche l'événement <see cref="E:System.Web.UI.Control.Init"/>.
	/// </summary>
	/// <param name="e">Objet <see cref="T:System.EventArgs"/> qui contient les données d'événement.</param>
	protected override void OnPreRender(EventArgs e)
	{
		base.OnPreRender(e);

		if (this.Items != null)
		{
			foreach (Control obj in this.Items)
			{
				this.PlaceHolder_items.Controls.Add(obj);
			}
		}

		this.FileMenu.Attributes.Add("onmouseover", "SBRibbon.KeepMenu('" + this.FileMenu.ClientID + "')");
		this.FileMenu.Attributes.Add("onmouseout", "SBRibbon.HideMenu('" + this.FileMenu.ClientID + "')");
	}

	/// <summary>
	/// Handles the Load event of the Page control.
	/// </summary>
	/// <param name="sender">The source of the event.</param>
	/// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
	protected void Page_Load(object sender, EventArgs e)
	{
	}

	#endregion Methods
}